spring:
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
  #caffeine缓存
  cache:
    type: caffeine
    caffeine:
      spec: initialCapacity=50,maximumSize=500,expireAfterWrite=120s
    cache-names: alarmConfigList
  #禁止servlet懒加载
  mvc:
    servlet:
      load-on-startup: 1
mybatis:
  type-aliases-package: com.ho.flow.entity
  mapper-locations: classpath:mapper/*.xml
  configuration:
    #驼峰
    mapUnderscoreToCamelCase: true

#对比电站下的采集点时间差值
station:
  timeDifference: 5
  outSideMinute: 25

#ribbon的超时时间
ribbon:
  ReadTimeout: 10000
  ConnectTimeout: 10000

#Logging
logging:
  config: classpath:logback.xml

#开放端点用于SpringBoot Admin的监控
management:
  endpoints:
    web:
      exposure:
        include: '*'

#流程公共配置
flow:
  #最大上传图片个数
  maxPicUploadNum: 9

#告警配置
event:
  #当前告警查询的时间跨度 (天)
  currentMaxDay: -10
  #大屏最大告警条数
  bigScreenEventLimit: 200

  #173redeis密码
openRedis:
  host: 124.70.135.173
  port: 6379
  pass: rD?vL&/26H

  #183redeis密码
openTestRedis:
  host: 192.168.1.183
  port: 6379
  pass: 123456

#开关相关配置
switch:
  #系统默认的告警逻辑实现(com.ho.flow.service.impl.FlowOutApiServiceImpl),配置true时使用默认逻辑，如果配置了false则需要自定义告警逻辑实现
  usedDefaultAlarmLogic: true